Page MenuHomePhabricator

Release and use wikibase/data-model 9.5.1 everywhere
Closed, ResolvedPublic

Description

This is a follow up to T243590 and T253637 which ensure this lib works as expected with PHP 7.4

  • Release data-model 9.5.1
    • Create and merge release notes
    • Tag the release on github
  • Use 9.5.1 in the mediawiki-vendor git repo on gerrit
  • Specify a minimum requirement of 9.5.1 in Wikibase.git in order to ensure compatibility with PHP 7.4

Event Timeline

Addshore created this task.May 27 2020, 9:42 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 27 2020, 9:42 AM
toan claimed this task.Jun 2 2020, 7:43 AM

Change 601658 had a related patch set uploaded (by Tobias Andersson; owner: Tobias Andersson):
[mediawiki/vendor@master] Updating wikibase/data-model

https://gerrit.wikimedia.org/r/601658

Change 601658 merged by jenkins-bot:
[mediawiki/vendor@master] Updating wikibase/data-model

https://gerrit.wikimedia.org/r/601658

toan renamed this task from Release and use wikibase/data-model 9.5.0 everywhere to Release and use wikibase/data-model 9.5.1 everywhere.Jun 4 2020, 8:18 AM
toan updated the task description. (Show Details)

Change 602289 had a related patch set uploaded (by Tobias Andersson; owner: Tobias Andersson):
[mediawiki/extensions/Wikibase@master] Update wikibase/data-model depencency

https://gerrit.wikimedia.org/r/602289

Change 602289 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Update wikibase/data-model depencency

https://gerrit.wikimedia.org/r/602289

Addshore closed this task as Resolved.Jun 11 2020, 9:07 AM
Addshore updated the task description. (Show Details)